use XML::LibXML;
use XML::LibXSLT;

use XML::Simple;
use Data::Dumper;

my $xslt   = XML::LibXSLT->new();
my $xml    = XML::LibXML->new();
my $source = $xml->parse_file('results.xml');
my $style_doc
    = $xml->parse_file('xml-package-summary.xsl');

my $stylesheet = $xslt->parse_stylesheet($style_doc);

my $results = $stylesheet->transform($source);

#print $stylesheet->output_string($results);

#my $xml_file = "after_xsl.xml";
my $ref = XMLin( $stylesheet->output_string($results) );
open( FH, ">output_1.txt" );
print FH Dumper($ref);
close(FH);

my $ref2 = XMLin(
    $stylesheet->output_string($results),
    KeyAttr => [ 'number', 'name' ],
    GroupTags => { runs => 'run' }
);
open( FH, ">output_2.txt" );
print FH Dumper($ref2);
close(FH);


foreach  my $key ( sort keys %{$ref2->{'runs'}}) {
   foreach  my $test (keys %{$ref2->{'runs'}->{$key}->{'test'}}) {
         next if ($test eq 'info');
         print "('378695','" . $ref2->{'runs'}->{$key}->{'test'}->{$test}->{'xpath'} . "'),\n";
   }
}
